Create a Talroo Apply Campaign
Overview
To utilize the Talroo Apply system, you must create Talroo Apply campaigns for your jobs to flow into. To accomplish this, you have two options:
- Work with your Talroo POC to create a Talroo Apply campaign like you would other campaign types
- If you are integrated with Talroo's Platform API, you can follow the steps below to create a Talroo Apply campaign
Creating a Talroo Apply Campaign
Within the Job Campaign object, a Talroo Apply Campaign is designated with the following values:
"talrooFeaturedType": "OFF",
"talrooPro": "OFF",
"talrooApply": true,
"talrooApplyPro": false
The following example request to the PATCH /campaigns/{campaignId} endpoint would update a Job Campaign (id:12345) with field values that match the Talroo Apply Campaign Type:
curl -X 'PATCH' \
'https://api.talroo.com/v5/campaigns/12345' \
-H 'accept: application/json' \
-H 'Authorization: Bearer {accessToken}' \
-H 'Content-Type: application/json' \
-d '{
"talrooFeaturedType": "OFF",
"talrooPro": "OFF",
"talrooApplyPro": false
"talrooApply": true
}'
Optional Fields
Below are additional fields and their uses that can be set on a Talroo Apply Campaign:
emailAddress: When set to a valid email, Talroo will send new application emails to this email. NOTE: If the<email>node is populated in the job feed for the job applied to, Talroo will send new application emails to this email instead.otherEmailAddresses: This field allows other email addresses to receive new application emails. Emails in this field will ALWAYS receive new application emails.talrooApplyRedir: When set totrue, Talroo will redirect qualified applicants to the job's<url>value after the application is submitted.applicationLinkOverride: WhentalrooApplyRedir: true, this field can be set to a valid URL to override the job level<url>value used to redirect applicants after an application is submitted.
addressQuestion: This field can be used to control whether or not an address is requested from applicants. Allowed values:"OFF": Applicants will not be shown an Address question field on the Location input page."OPTIONAL": Applicants will be shown a optional Address question field on the Location input page."REQUIRED": Applicants will be shown a required Address question field on the Location input page.
talrooApplyReqResume: This field will be used a default, or fallback, if the<resume_required>node is not provided in the job feed. When set totruethe Talroo Apply Campaign will require that applicants submit a resume with their application. Only new applications with a resume will be emailed to the corresponding email address.
A considerable amount of job seeker activity today is had on a mobile device, and most people do not keep their resume on their mobile device. It is suggested that the require resume option only be used if it is absolutely necessary for your application.